<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Відповіді на питання</h1>
    <p>1 - DOM подібний до архітектурного макету твоєї веб-сторінки. Кожен елемент HTML, як текст, зображення або кнопка, є частиною цього макету. JavaScript може працювати з цим макетом, додавати нові елементи, змінювати існуючі або видаляти їх. Таким чином, він може змінювати вигляд і поведінку сторінки відповідно до твоїх потреб або дій користувача.</p>
    <p>2 - innerHTML отримує або встановлює HTML-код всередині елемента, включаючи теги. innerText отримує або встановлює тільки текстовий вміст елемента, відкидаючи HTML-теги.</p>
    <p>3 - getElementById: Цей метод дозволяє отримати елемент за його унікальним ідентифікатором (id).
        getElementsByClassName: Цей метод повертає колекцію елементів з заданим класом.
        getElementsByTagName: Цей метод повертає колекцію елементів з вказаним тегом.
        querySelector: Цей метод повертає перший елемент, який відповідає заданому селектору CSS.
        querySelectorAll: Цей метод повертає всі елементи, які відповідають заданому селектору CSS.
        (Kраще використовувати getElementById)
    </p>
    <p>4 - Основна відмінність між NodeList та HTMLCollection полягає в тому, що NodeList може містити будь-які типи вузлів, такі як елементи, текст або коментарі, тоді як HTMLCollection містить тільки елементи HTML.</p>




    <p class="feature">Bla-bla-bla-bla</p>
    <p class="feature">Blo-blo-blo-blo</p>
    <p class="feature">Ble-ble-ble-ble</p>

    <h2>Tiger</h2>
    <h2>Lion</h2>
    <h2>Penguin</h2>

    <p class="feature-title">Friend</p>
    <p class="feature-title">Love</p>
    <p class="feature-title">Hate</p>

    <script src="index.js"></script>
</body>
</html>